List an assessment's scored responses
curl --request GET \
--url https://deployed.workauthor.com/api/v1/assessments/{Id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://deployed.workauthor.com/api/v1/assessments/{Id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://deployed.workauthor.com/api/v1/assessments/{Id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"responseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"depReference": "<string>",
"externalId": "<string>",
"user": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"score": "<string>",
"scoreDescription": "<string>",
"sectionScores": [
{
"name": "<string>",
"score": "<string>"
}
],
"questions": [
{
"sectionName": "<string>",
"questionOrder": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"answerValue": "<string>",
"viewedAt": [
"2023-11-07T05:31:56Z"
],
"answeredAt": "2023-11-07T05:31:56Z",
"choiceOrder": 123
}
],
"notes": [
{
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"text": "<string>"
}
],
"rankedScores": [
{
"name": "<string>",
"rank": 123,
"pointsScored": 123
}
]
}
],
"page": 123,
"pageSize": 123,
"totalCount": 123,
"hasNextPage": true,
"hasPreviousPage": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}List an assessment's scored responses
Paged list of one assessment’s scored responses, filterable by From and To dates.
GET
/
api
/
v1
/
assessments
/
{Id}
List an assessment's scored responses
curl --request GET \
--url https://deployed.workauthor.com/api/v1/assessments/{Id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://deployed.workauthor.com/api/v1/assessments/{Id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://deployed.workauthor.com/api/v1/assessments/{Id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"responseId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"depReference": "<string>",
"externalId": "<string>",
"user": "<string>",
"startDate": "<string>",
"endDate": "<string>",
"score": "<string>",
"scoreDescription": "<string>",
"sectionScores": [
{
"name": "<string>",
"score": "<string>"
}
],
"questions": [
{
"sectionName": "<string>",
"questionOrder": 123,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"text": "<string>",
"answerValue": "<string>",
"viewedAt": [
"2023-11-07T05:31:56Z"
],
"answeredAt": "2023-11-07T05:31:56Z",
"choiceOrder": 123
}
],
"notes": [
{
"createdBy": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"text": "<string>"
}
],
"rankedScores": [
{
"name": "<string>",
"rank": 123,
"pointsScored": 123
}
]
}
],
"page": 123,
"pageSize": 123,
"totalCount": 123,
"hasNextPage": true,
"hasPreviousPage": true
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}{
"type": "<string>",
"title": "<string>",
"status": 123,
"errors": [
{
"code": "<string>",
"description": "<string>",
"type": 123
}
],
"traceId": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I